<?php
namespace Claromentis\Admin\Sysadmin;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array();
interface ExportProgressInterface
{
    public function GetId() : int;
    public function GetUnexportedDataFiles() : array;
    public function GetUnexportedCdnFiles() : array;
    public function GetIncompleteTables() : array;
    public function IsDescriptionWritten() : bool;
    public function IsArchiveFinalised() : bool;
    public function ExportProgress() : float;
    public function DateStarted() : string;
    public function GetTablesSize();
    public function GetTablesProgress();
    public function GetDataSize();
    public function GetDataProgress();
    public function GetCdnSize();
    public function GetCdnProgress();
}